% Accompanying matlab code (tested with MatlabR2015a) for
%
% [1] Hybrid analog-digital beamforming for single-anchor multipath-assisted positioning
% WCNC 2018
%
% this matlab file generates Figures 3-5. Important equations are cross
% referenced with the equation numbers in the paper.
%
% [1] Josef Kulmer, Stefan Grebien, Michael Rath, Klaus Witrisal:
%      Hybrid analog-digital beamforming for single-anchor
%      multipath-assisted positioning, WCNC 2018

addpath('matlabfiles')

% Figure 3 and 4 are based on synthetically generated data
Figure3and4;
clear;

% Figure 5 applies the algorithm to real measured data
Figure5;
